<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- A partir de un archivo .cla para repasa genera un archivo de progreso
  para sigue.
  Se cede esta fuente al dominio pblico 2003.  Sin garantas.
	http://structio.sourceforge.net/sigue
     structio-info@lists.sourceforge.net -->
<!DOCTYPE xsl:stylesheet [
]>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml" doctype-public="-//Structio//DTD progreso en clasificaciones 1.0" encoding="ISO-8859-1" omit-xml-declaration="no" doctype-system="prcla.dtd"/>

<xsl:param name="filename"/>

<xsl:template match="clasificacion">
  <prcla conceptos=":(g='S' || g='B' || g='A' || g='D' || g='I');Indicador:(g='E' || g='B' || g='I')">
  <xsl:text>
</xsl:text>
	<xsl:apply-templates select="clasif">
  </xsl:apply-templates>
  </prcla>
</xsl:template>

<xsl:template match="clasif">
  <xsl:choose>
    <xsl:when test="./@tipo='Indicador'">
      <xsl:text>  </xsl:text>
      <xsl:element name="progcla">
        <xsl:attribute name="tipo">
          <xsl:text>Indicador</xsl:text>
        </xsl:attribute>
        <xsl:attribute name="idcla">
          <xsl:if test="$filename!=''">
            <xsl:value-of select="$filename"/><xsl:text>:</xsl:text>
          </xsl:if>
          <xsl:value-of select="./@id"/>
        </xsl:attribute>
        <xsl:text>
</xsl:text>
	    <xsl:apply-templates select=".//ejercicio">
      </xsl:apply-templates>
      <xsl:text>  </xsl:text>
      </xsl:element>
      <xsl:text>
</xsl:text>
    </xsl:when>
    <xsl:otherwise>
	    <xsl:apply-templates select="clasif">
      </xsl:apply-templates>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="ejercicio">
  <xsl:text>    </xsl:text>
  <xsl:element name="progejer">
    <xsl:attribute name="fecha"/>
    <xsl:attribute name="concepto"/>
    <xsl:attribute name="idejer">
      <xsl:if test="$filename!=''">
        <xsl:value-of select="$filename"/><xsl:text>:</xsl:text>
      </xsl:if>
      <xsl:value-of select="./@id"/>
    </xsl:attribute>
  </xsl:element>
  <xsl:text>
</xsl:text>
</xsl:template>

</xsl:stylesheet>


