<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- A partir de un grupo de individuos, que referencia archivos
     de individuos con datos Apellido, Nombre, login genera comandos para 
     crear cuentas de usuario.

  Dominio pblico. 2004. http://structio.sourceforge.net/sigue
 -->

<xsl:output method="text" encoding="ISO-8859-1"/>

<xsl:param name="grado" required="yes"/>
<xsl:param name="grupo" required="yes"/>

<xsl:template match="refind">
  <xsl:apply-templates select="document(@arch)/individuo"/>
</xsl:template>


<xsl:template match="individuo">
  <xsl:text>adduser </xsl:text>
  <xsl:text> --ingroup </xsl:text>
  <xsl:value-of select="$grupo"/>
  <xsl:text> --disabled-password --gecos "</xsl:text>
  <xsl:value-of select="dato[@tipo='Nombres']"/><xsl:text> - </xsl:text>
  <xsl:value-of select="dato[@tipo='Apellidos']"/><xsl:text> - </xsl:text>
  <xsl:value-of select="$grado"/><xsl:text> - </xsl:text>
  <xsl:value-of select="dato[@tipo='FechaNacimiento']"/><xsl:text>" </xsl:text>
  <xsl:value-of select="dato[@tipo='login']"/><xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="text()">
</xsl:template>

</xsl:stylesheet>


