<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- A partir de un archivo .sec para repasa genera un documento HTML
  Se cede esta fuente al dominio pblico 2006.  Sin garantas.
	http://structio.sourceforge.net/repasa
     structio-info@lists.sourceforge.net -->

<xsl:output method="html" encoding="ISO-8859-1"/>

<xsl:param name="dirplanest" required="yes"/>

<xsl:template match="grupo">
  <html><head>
	<title><xsl:apply-templates select="desc"/></title>
  </head><body>
  <h1><xsl:apply-templates select="desc"/></h1>
  <table border="1"> 
  <xsl:apply-templates select="refind"/>
  </table> 
  </body>
  </html>
</xsl:template>


<xsl:template match="desc">
  <xsl:value-of select="."/>
</xsl:template>


<xsl:template match="refind">
  <xsl:variable name="v" select="concat($dirplanest, @arch)"/>
  <xsl:apply-templates select="document($v)/individuo"/>
</xsl:template>


<xsl:template match="individuo">
<tr>
<td><xsl:value-of select="dato[@tipo='Apellidos']"/></td>
<td><xsl:value-of select="dato[@tipo='Nombres']"/></td>
<td><xsl:value-of select="dato[@tipo='FechaNacimiento']"/></td>
<td><xsl:value-of select="dato[@tipo='login']"/></td>
</tr>
</xsl:template>


</xsl:stylesheet>


