###############################################################################
#
# Informacion sobre el tercer curso gratuito de Linux en colegios colombianos
# Cedido al dominio pblico.
#
# Dejar esto en ingenieria.sanmartin.edu.co en 
# /usr/lib/cgi-bin/slec/cursos/gratlinux3/clin3.hb  que es copia del CVS
# Hay un enlace en /usr/lib/cgi-bin/slec/cursos/clin3.hb que es el usado por
# HB.
# 
# Este archivo es actualizado cada hora de la copia del repositorio.  (Ver
# en la cuenta SLEC cron/hora.sh).
#
# Si un desarrollador de Structio hace un cambio por favor hacer commit:
# cd /usr/lib/cgi-bin/slec/cursos/gratlinux3/
# export CVSROOT=usuario-structio@cvs.structio.sourceforge.net:/cvsroot/structio
# export CVS_RSH=ssh 
# cvs commit -m "Descripcion del cambio"
#
# Tanto despus del commit como de hacer un update manual, por favor ejecutar:
# chmod -R a+r,g+w ..
# Para que HB pueda usarlo (Si no se hace saldr Internal Server Error y se
# dejar fuera de servicio TODO el portal de SLEC)
#
###############################################################################

:out clin3.titulo
Tercer curso gratuito sobre uso y administracin de redes Linux en colegios colombianos
:

:out clin3.enc
<html>
<head>
<title><clin3.titulo></title>
</head>
<body bgcolor="#FFFFFF">
<center><h2><clin3.titulo></h2></center>
<hr>
:

:out clin3.pie
<hr>
<div align="right">
<font size="-1">Esta informacin se cede al dominio pblico.  Se aprecia que la fuente sea citada.</font>
</div>
</body>
</html>
:


:out clin3
<clin3.enc>
<h3></h3>

El 15 de Abril de 2002, concluyeron las preinscripciones a este curso 
gratuito.  Por favor consulte el anuncio en:
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3.anuncio">http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3.anuncio</a>

<clin3.pie>
:

:out clin.cuerpomailpre
From: <hb.input name='nombre'>
To: vtamara@informatik.uni-kl.de 
Subject: Preinscripcin curso gratuito

<hb.input name='nombre'>	<hb.input name='email'>
Colegio: <hb.input name='colegio'>
Participante: <hb.input name='participante'>  Organizador: <hb.input name='organizador'>
:


:out clin.sendpre
<html>
<body bgcolor="#FFFFFF">
<clin3.enc>
<+hb.sendmail _=clin.cuerpomailpre>
Informacin enviada con xito.
<p>
</body>
</html>
:

:set clin.repfin
<ul>
<li><a href="http://www.tamarapatino.com/servicios/cursogratuito/1/repasist.shtml">Primera version</a>
<li><a href="http://www.tamarapatino.com/servicios/cursogratuito/2/repfin.shtml">Segunda version</a>
<li><a href="http://ingenieria.sanmartin.edu.co/clin3.plan">Tercera version</a>
</ul>
:


:out clin3.plan
<clin3.enc>
<h3>Plan, Desarrollo y Conclusiones</h3>
Este documento se ha escrito desde la gestacin hasta la culminacin del curso. Aqu consignamos el desarrollo de la planeacin, el desarrollo del curso y las conclusiones con enlaces a informacin que profundiza cada aspecto. Tenga en cuenta que este documento est en constante cambio y aunque nos esforzamos por alcanzar los logros propuestos es posible que tengamos que cambiarlos.

<h4>Objetivos</h4>
<ul>
<li>Promover la colaboracin desinteresada como camino para construir paz.
<li>Mejorar recursos y posibilidades econmicas de colegios colombianos, 
con sofware y documentacin de libre redistribucin.
<li>Instalar Linux Debian en el computador de cada participante y promover el uso de herramientas de libre redistribucin.
<li>Instalar una red Linux de acuerdo al diseo 
<a href="http://structio.sourceforge.net/guias/AA_Linux_colegio/plataforma.html">
S-Helio 1.1</a> en un colegio colombiano, el cual ser elegido por 
votacin entre los que participen en este curso.
</ul>

<h4>Pblico</h4>
<ul>
<li>Personas que deseen informarse sobre este curso.
<li>Personas que estn ayudando en la <a href="http://ar.groups.yahoo.com/group/rol-curso-col/files/Organizadores/">organizacin</a>.
<li>Participantes del curso, esperamos especialmente 
---pero no exclusivamente--- miembros de comunidades educativas de 
colegios colombianos que deseen instalar Linux en su colegio.
</ul>

<h4>Precedentes</h4>
<ul>
<li>Las conclusiones y experiencia adquirida durante las versiones anteriores de este curso:
<a href="http://www.tamarapatino.com/servicios/cursogratuito/1/repasist.shtml">primera</a> y <a href="http://www.tamarapatino.com/servicios/cursogratuito/2/repfin.shtml">segunda</a>.
<li>Las personas que ayudan a guiar este curso tienen experiencia con Linux,
algunas han desarrollado programas para colegios con Linux, aunque ninguno ha
contribuido en el desarrollo del kernel.   Si puede ayudarnos a mejorar este 
curso agradeceriamos su aporte ---en tal caso por favor escrbanos a 
<a href="mailto:rol-curso-col@yahoogroups.com">rol-curso-col@yahoogroups.com</a>.
</ul>

<h4>Marco pedaggico</h4>
Consideramos que llevar a cabo proyectos tiles para cada cual y para
la comunidad es una excelente forma de aprender. Este curso se centrar
en ejercicios prcticos apoyados en lectura y en colaboracin entre
participantes y organizadores para realizar los proyectos.

<h4>Etapas</h2>
<table border=1>
<tr>
<th>Etapa</th>
<th>Tiempo</th>
<th>Referencias</th>
</tr>

<tr>
<td>Planeacin</td>
<td>Abril 2001 a Septiembre 2002</td>
<td><ul>
<li>Este documento
<li><a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3">Formulario</a> con posibilidad para preinscribirse como organizador</li>
<li><a href="http://groups.yahoo.com/group/rol-curso-col">Lista de correo</a> para personas que tomen roles.
</ul>
</tr>
<tr>
<td>Preinscripciones</td>
<td>Abril 2001 a Febrero 2002</td>
<td><ul>
<li><a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3">Formulario</a>
</ul>
</tr>
<tr>
<td>Documentacin</td>
<td>Junio 2001 a Septiembre 2002</td>
<td><ul>
<li>Segunda edicin de las guas <a href="http://structio.sourceforge.net/guias/AA_Linux_colegio">Aprendiendo a aprender Linux: guas de estudio para colegios</a> (en desarrollo).
</ul>
</tr>

<tr>
<td>Difusin e inscripciones</td>
<td>Abril 4 2002 - Abril 19 2002</td>
<td>Tienen prioridad en las inscripciones colegios colombianos. El 
<a href="clin3.anuncio">anuncio</a> ha sido distribuido tambin por voluntarios.
</td>
</tr>

<tr>
<td>Taller virtual de preparacin (Cupo: 150) </td>
<td>Abril 20 a  Abril 30 2002</td>
<td>Logros: Cada participante usa los recursos virtuales de este curso.
Cada participante elige a conciencia un nivel para iniciar su preparacin
(como criterio auxiliar realiza una prueba).<p>
Actividades: <a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/ejercicios.html#preparacion">Ejercicios</a> con Yahoo grupos, IRC, SSH, 
Wiki, documentacin. Autoevaluacin para elegir nivel. Reunin de IRC el 28 
de Abril de 2002 de 9:00 a 10:30AM.  
<a href="http://ar.groups.yahoo.com/group/curso-col/files/curso3/Preparatorio/irc28apr2002.txt">Registro de la reunin</a> 
disponible para participantes del curso.<p>
Recursos: documentacin (de dominio pblico alguna fue escrita por 
organizadores para este curso, est en servidor prestado a SLEC por la 
Fundacin Universitaria San Martn), 
IRC (servidor irc.openprojects.net) , lista (de Grupos Yahoo), 
Wiki (prestado por SLEC), software de autoevaluacin (define, desarrollado 
por miembros del proyecto Structio), servidor para hacer prctica de 
<tt>ssh</tt> prestado por Irving Dvila.  
<p>
<a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/preparacion.html">Progreso de los participantes</a></td>
</tr>

<tr>
<td>Taller virtual bsico (Cupo: 100)</td>
<td>Mayo 10 a Junio 30 2002</td>
<td>Logros: Cada participante usa e instala Linux en un computador.
<p>
Actividades: <a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/ejercicios.html#basico">Ejercicios</a> 
en un servidor Linux.  2 reuniones de IRC. <p>
Recursos: documentacin (de dominio pblico escrita por miembros del
proyecto Structio), IRC (servidor irc.openprojects.net), 
lista (de Grupos Yahoo), Wiki (en el Wiki de SLEC),  servidor para hacer
prcticas prestado por Irving Dvila, software de 
autoevaluacin (define, desarrollado por miembros del proyecto Structio) y 
para apoyo en evaluacin.
Servicios de quemado gratuito de CDs de Debian 2.2r6 para participantes de 
este taller prestado por Igor Tmara en Bogot, Fabio Quimbay y Ariel
Barbosa (Colnodo --tambin ofreci quemado de Mandrake y Redhat) en Bogot,  
por Jaime Jimenez y Felipe Castillo en Cali, 12 CDs donados por Freddie 
Valenzuela,  as como envio de 2 juegos de CDs a varias ciudades del pas 
sin costo (Jaime Jimenez en Cali recibi 3 de estos CDs, el envio lo hizo 
Freddie, queda un juego de 3 y 2 CDs con lo bsico de Debian 2.2), Jorge Silva 
ofreci envio de CDs a cualquier ciudad del pas sin costo. Elkin Garavito
puso a disposicin de este curso un <a href="http://ketra.uniandes.edu.co/~imagina/elkin/foro/asnforum-1.0/">foro</a> virtual. Jaime Jimenez don 3 CDs y
su envi a Valledupar (los recibi Rafael Barros).
<p>
<a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/basico.html">Progreso de los participantes</a>
</td>
</tr>


<tr>
<td>Taller virtual avanzado (Cupo: 100)</td>
<td>Julio 8 a Agosto 28 2002</td>
<td>Prerequisito: Linux instalado en su computador.<p>
Logros: Cada participante administra su propio servidor Linux.
<p>
Actividades: <a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/ejercicios.html#avanzado">Ejercicios</a> en servidor propio.
Recursos: documentacin que con ayuda de Irving Dvila fue traducida a 
DocBook, lista del curso.
Debido a descuido de Vladimir Tmara y desinteres de participantes, esta 
etapa no di resultados para mencionar.</td>
</tr>

<tr>
<td>Taller prctico (Cupo: 10 por reunin con datos verificados)</td>
<td>18,19 y 20 de Septiembre (7-9PM) en las instalaciones del colegio 
Gimnasio Fidel Cano</td>
<td>Prerequisito para asistir: Manifestar intencin de asistir.<p>
Logros: Aunque deseabamos instalar una red en un colegio, no logramos concretar
uno (aunque hubo una oportunidad en el colegio Aleman de Cali que continuar 
a cargo de Felipe Castillo y Jaime Jimenez participantes de este curso). 
Realizamos varias prcticas en las redes del Gimnasio Fidel Cano amablemente
prestadas por sus directivas 
<!--.  Los participantes y entrenadores colaboran desinteresadamente en la instalacin de una red Linux en un colegio (de requerirse, los costos del hardware deben ser asumidos por el colegio). --><p>
Actividades: Reunin 1. Moderadores: Igor Tmara, Vladimir Tmara. Participantes: Jaime Jimenez. Funcionamiento de una red que sigue la plataforma de referencia estudiada en este curso.  Configuracin de NIS.<br>
Reunin 2. Moderadores: Igor Tmara, Vladimir Tmara. Participantes: Jaime Jimenez, Juan Pablo Romero, David Pinzn.  Reorganizamos la interconexin inalmbrica de las sedes del Gimnasio Fidel Cano con un computador como compuerta.<br>
Reunin 3. Moderadores: Vladimir Tmara. Participantes: Jaime Jimeneza, Juan Pablo Romero, David Pinzn, William Nio.  Iniciamos instalacin de Debian en el computador de Juan Pablo y OpenBSD en el servidor de SLEC.
</td>
</tr>

</table>

<h2>Conclusiones y resultados</h2>
<ul>
<li>Cantidad de preinscritos: 164
<li>127 aspirantes completaron inscripcin y fueron aceptados (ver 
<a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/participantes.html">lista</a>), 
estn distribuidos al menos en 10 paises, la gran mayora en 14 ciudades de 
Colombia. 
El listado de regiones est <a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/regiones.html">en lnea</a>.
<li>30 colegios inscritos, representados por 41 personas.  El listado de colegios participantes est <a href="http://ingenieria.sanmartin.edu.co/~slec/cursos/gratlinux3/colegios.html">en lnea</a>.
<li>Cantidad de nuevas instituciones en <a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/slec.instituciones_all?style=slec&site=slec&">estadsticas de SLEC</a>: 10
<li>Cantidad de nuevos usuarios de Linux: 4
<li>Cantidad de usuarios de Linux que renuevan su instalacin: 3
<!-- li>Colegios que migran a Linux al menos un computador: < -->
<li>Colegios que planean migrar a Linux una red completa: 1
<!-- li>Nueva documentacin: 
<li>Aportes a proyectos existentes: -->
</ul>

<h2>Contacto</h2>
Puede comunicarse con los organizadores de este curso escribiendo a <a href="mailto:rol-curso-col@yahoogroups.com">rol-curso-col@yahoogroups.com</a>.

<clin3.pie>
:


:out clin3.ejer1
<clin3.enc>

<h2>Ejercicios para el taller preparatorio sobre herramientas del curso</h2>

Ningn ejercicio es de caracter obligatorio.  Los que cada participante
haga quedarn registrados en la tabla de progreso.

<h4>Indicadores de logro:</h4>
<ul>
<li>
Conocemos los planes y procedimientos de este curso y hacemos sugerencias o
ayudamos a mejorarlos.
<li>
Escribimos y leemos apropiadamente: correo electrnico, informacin en canales de IRC y documentacin.
<li>
Podemos ingresar al servidor que emplearemos en este curso y presentar en el una autoevaluacin.
<li>
Cada participante escoge el nvel en el que desea comenzar su preparacin.
</ul>




<h3>Documentacin para esta etapa</h3>
<ul>
<li><a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slecwiki?UsoYahooGrupos">Uso de Yahoo Grupos para este curso</a>
<li> <a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/item.msg.view?uid=33&style=slec&site=slec&">Licencias de software y documentacin</a>.
<li> <a href="http://www.tamarapatino.com/igor/escritos/netiquette.html">Etiqueta en la red.</a> 
<li> Gua de HTML.
<li> Documentos escritos por los participantes y publicados en sus carpetas.
</ul>


<h3>Ejercicios de lectura y escritura</h3>
<ol>
<li>Esforzemonos por escribir en espaol, corto y claro (alguin deca
al final de una carta algo como "perdn por lo largo de esta carta, no tuve 
tiempo para que fuera ms corta").  Tomemonos el tiempo para escribir corto
y leamos dos veces antes de enviar un correo o publicar informacin.
<li>Esforzemonos por leer bien.   Nos evitaremos preguntas y respuestas
redundantes leyendo la documentacin propuesta y lo que los dems
participantes digan.
<li>Escriba y mantenga una lista con las preguntas que surgan mientras lee
documentos.
<li>Habr la oportunidad de publicar documentos y por tanto de aplicarles
alguna licencia.  Por favor consulte algunos tipos de licencias (poniendo
especial atencin a licencias para documentos pues tendr que escoger una):
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/item.msg.view?uid=33&style=slec&site=slec&">Licencias de software y documentacin</a>
<li>Lea el plan de este curso.
<li>Redacte un documento con sugerencias para mejorar el plan,  si le es
posible con propuestas concretas.
</ol>

<h3>Ejercicios sobre correo electrnico</h3>

<ol>
<li>Consulte el siguiente documento con deas de como emplear mejor el correo electrnico:
http://www.tamarapatino.com/igor/escritos/netiquette.html
<li>Envie a la direccin rol-curso-col@yahoogroups.com el documento que
redacto con sugerencias sobre este curso.  Inicie el encabezado con algo como
"Sugerencias" o "Propuestas".
</ol>

<h3>Ejercicios en Yahoo grupos:</h3>
<ol>
<li>Lea las reglas de la comunidad Yahoo, y tengalas en cuenta al publicar informacin:
<a href="http://ar.docs.yahoo.com/info/rules.html">http://ar.docs.yahoo.com/info/rules.html</a>
<li>Consulte la ayuda para usar Yahoo Grupos durante este curso. Si an no lo ha hecho cree una cuenta.
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slecwiki?UsoYahooGrupos">http://ingenieria.sanmartin.edu.co/cgi-bin/slecwiki?UsoYahooGrupos</a>
<li>Practique el uso del archivo de mensajes y la facilidad para buscar.  Por ejemplo determine cual es el tema del correo 449 de la lista curso-col, y el 
nmero de mensajes con la palabra "humildad".
<li>Si le es posible en el espacio para fotos, en la carpeta curso3/participantes publique una fotografa de usted.
<li>En el directorio curso3/participantes de nuestro espacio en yahoogroups:
cree una carpeta cuyo nombre sea la direccin de correo electrnica que
est usando para este curso.
<li>En esa carpeta que cre en el ejercicio anterior publique un archivo con 
una presentacin corta (ser vista por los dems miembros).  Si le es posible 
publiquelo en HTML y agregue como imagen la foto que public.  Para aprender 
HTML puede consultar
(OJO)
<li>Visite las carpetas de otros miembros
<li>Agregue la fecha de su cumpleaos a la agenda (con periodicidad anual y
configurada para enviar un primer recordatorio 15 minutos antes).
<li>En la carpeta curso3/participantes de enlaces favoritos, cree una carpeta con su direccin electrnica como nombre y agregue en ella enlaces que nos recomienda.
<li>Visite los enlaces que otros miembros recomiendan.
</ol>

<h3>Ejercicios con Wiki</h3>

Para este curso emplearemos el WikiWiki de SLEC para que cada participante
publique documentos y ayude a mejorar los documentos de otros participantes.

<ol>
<li>Consulte como emplear un wiki en: 
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slecwiki?BuenEstilo">http://ingenieria.sanmartin.edu.co/cgi-bin/slecwiki?BuenEstilo</a>.
<li>Agregue un enlace con su nombre y apellido y uselo para publicar ayudas 
para usted y sus compaeros a lo largo del curso en:
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slecwiki?EspacioParticipantes">http://ingenieria.sanmartin.edu.co/cgi-bin/slecwiki?EspacioParticipantes</a>
<br>
La informacin que publique en este espacio y la tilidad que le preste a los dems participantes le permitir darse a conocer y eventualmente resultar elegido para participar en el taller prctico.
</ol>



<h3>Ejercicios con SSH</h3>


<h3>Ejercicios de IRC</h3>
<ol>
<li>Entre a IRC el da (OJO) a las ... en el servidor irc.openprojects.net en el canal #curso-col
<li>Formule las preguntas que ha redactado de acuerdo al punto 3 de "Ejercicios  de lectura y escritura".
</ol>

<clin3.pie>
:


:out clin3.ejer2
<clin3.enc>

<h2>Ejercicios para el taller bsico</h2>

Ningn ejercicio es de caracter obligatorio, los proponemos slo como
medios para aprender.  Las respuestas a estos ejercicios las debe dejar
en su directorio personal en el servidor. La ayuda que brinde a otros
participantes le dar posibilidad a su colegio de ser elegido para
la instalacin.  Por favor emplee con total tica 
y conciencia el servidor que gentilmente nos han prestado para este curso
(todos los participantes de este curso podramos ser vetados por las acciones
erradas de uno solo y el curso entero podra concluir).


<h4>Indicadores de logro:</h4>
<ul>
<li>
</ul>

<h3>Documentacin para esta etapa</h3>

<ul>
<li>
Captulos 1,2,3 y 5 de las guas Aprendiendo a aprender Linux.
<li>
Documentos escritos por los participantes de este curso.
</ul>

<clin3.pie>
:


:out clin3.ejer3
<clin3.enc>

<h2>Ejercicios para el taller avanzado</h2>

Ningn ejercicio es de caracter obligatorio, los proponemos slo como
medios para aprender.  Las respuestas a estos ejercicios las debe dejar
en su directorio personal en el servidor. La ayuda que brinde a otros
participantes le dar posibilidad a su colegio de ser elegido para
la instalacin.  Por favor emplee con total tica 
y conciencia el servidor que gentilmente nos han prestado para este curso
(todos los participantes de este curso podramos ser vetados por las acciones
erradas de uno solo y el curso entero podra concluir).


<h4>Indicadores de logro:</h4>
<ul>
<li>
</ul>

<h3>Documentacin para esta etapa</h3>

<ul>
<li>
Captulos 4, 5 y 6 de las guas aprendiendo a aprender Linux.
<li>
Documentos escritos por los participantes de este curso.
</ul>

<clin3.pie>
:

:out clin3.formins
<clin3.enc>
  Las inscripciones para este curso ya concluyeron.    Para estar
  informados de otros cursos gratuitos puede unirse a la 
  <a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/item.msg.view?uid=7&">comunidad de voluntarios SLEC</a>.
<clin3.pie>
:

:out clin3.formins-basico
<form action="clin3.formins2" method="get">
<center>
<h3>Formulario de inscripcin</h3>
</center>

<p>Para tener la posibilidad de participar en este curso, por favor 
complete este formulario con informacin 
cierta antes del 19 de Abril de 2002 a las 12PM hora colombiana (no 
recibiremos inscripciones despus de esta fecha).   Toda la informacin que 
nos suministre la emplearemos slo para este curso.
<p>

<h4>Su informacin pblica</h4>

<p>La siguiente informacin puede ser publicada en Internet, junto con
la lista de participantes.
<p>

-Direccin electrnica con la cual participara (slo una): <br>
<input type="text" size="80" maxlength="50" name="correo" value="<hb.cgi name='correo'>"></input><br>

-Login (max. 8 caracteres) que deseara tener en un servidor Linux que emplearemos durante este curso.  Por favor no emplee tildes ni ees, ni emplee como primera letra un nmero.<br> 
<input type="text" size="80" maxlength="8" name="login" value="<hb.cgi name='login'>"></input><br>

-Apellidos: <br>
<input type="text" maxlength="30" size="80" name="apellidos" value="<hb.cgi name='apellidos'>"></input><br>

-Nombres:<br>
<input type="text" maxlength="30" size="80" name="nombres" value="<hb.cgi name='nombres'>"></input><br>

-Pas en el que reside:<br>
<select name=pais>
<option selected>Colombia</option>
<option>Afghanistan</option>
<option>Albania</option>
<option>Algeria</option>
<option>Alemania</option>
<option>Andorra</option>
<option>Angola</option>
<option>Antigua y Barbuda</option>
<option>Argentina</option>
<option>Armenia</option>
<option>Australia</option>
<option>Austria</option>
<option>Azerbaijan</option>
<option>Bahamas</option>
<option>Bahrain</option>
<option>Bangladesh</option>
<option>Barbados</option>
<option>Belarus</option>
<option>Belgica</option>
<option>Belize</option>
<option>Benin</option>
<option>Bhutan</option>
<option>Bolivia</option>
<option>Bosnia y Herzegovina</option>
<option>Botswana</option>
<option>Brazil</option>
<option>Brunei Darussalam</option>
<option>Bulgaria</option>
<option>Burkina Faso</option>
<option>Burundi</option>
<option>Cambodia</option>
<option>Cameroon</option>
<option>Canada</option>
<option>Cape Verde</option>
<option>Republica Central de Africa</option>
<option>Chad</option>
<option>Chile</option>
<option>China</option>
<option>Comoros</option>
<option>Congo</option>
<option>Costa Rica</option>
<option>Cote d'Ivoire</option>
<option>Croatia</option>
<option>Cuba</option>
<option>Cyprus</option>
<option>Republica Checa</option>
<option>Republica Democrctica del Congo</option>
<option>Dinamarca</option>
<option>Djibouti</option>
<option>Dominica</option>
<option>Republica Dominicana</option>
<option>Ecuador</option>
<option>Egipto</option>
<option>Emiratos Arabes Unidos</option>
<option>El Salvador</option>
<option>Eritrea</option>
<option>Espaa</option>
<option>Estados Unidos de Amrica</option>
<option>Estonia</option>
<option>Etiopia</option>
<option>Federeacin Rusa</option>
<option>Fiji</option>
<option>Filipinas</option>
<option>Finlandia</option>
<option>Francia</option>
<option>Gabon</option>
<option>Gambia</option>
<option>Georgia</option>
<option>Ghana</option>
<option>Grecia</option>
<option>Grenada</option>
<option>Guatemala</option>
<option>Guinea</option>
<option>Guinea-Bissau</option>
<option>Guinea Ecuatorial</option>
<option>Guyana</option>
<option>Haiti</option>
<option>Honduras</option>
<option>Hungria</option>
<option>Islandia</option>
<option>India</option>
<option>Indonesia</option>
<option>Iran</option>
<option>Iraq</option>
<option>Irlanda</option>
<option>Israel</option>
<option>Italy</option>
<option>Jamaica</option>
<option>Japon</option>
<option>Jordana</option>
<option>Kazakhstan</option>
<option>Kenya</option>
<option>Republica Democrtica de Korea</option>
<option>Republica de Korea</option>
<option>Kuwait</option>
<option>Kyrgyzstan</option>
<option>Repblica Democrtica de Lao P.</option>
<option>Latvia</option>
<option>Lebanon</option>
<option>Lesotho</option>
<option>Liberia</option>
<option>Libya</option>
<option>Liechtenstein</option>
<option>Lithuania</option>
<option>Luxemburgo</option>
<option>Antigua Republica Yugoslava de Macedonia</option>
<option>Madagascar</option>
<option>Malawi</option>
<option>Malasia</option>
<option>Maldivia</option>
<option>Mali</option>
<option>Malta</option>
<option>Islas Marshall</option>
<option>Mauritania</option>
<option>Mauritius</option>
<option>Mexico</option>
<option>Estados Federales de Micronesia</option>
<option>Moldova</option>
<option>Monaco</option>
<option>Mongolia</option>
<option>Marruecos</option>
<option>Mozambique</option>
<option>Myanmar</option>
<option>Namibia</option>
<option>Nepal</option>
<option>Holanda</option>
<option>Nueva Zalanda</option>
<option>Nicaragua</option>
<option>Niger</option>
<option>Nigeria</option>
<option>Noruega</option>
<option>Oman</option>
<option>Pakistan</option>
<option>Palau</option>
<option>Panama</option>
<option>Papua Nueva Guinea</option>
<option>Paraguay</option>
<option>Per</option>
<option>Polonia</option>
<option>Portugal</option>
<option>Qatar</option>
<option>Rumania</option>
<option>Ruanda</option>
<option>Samoa</option>
<option>San Marino</option>
<option>Sao Tome y Principe</option>
<option>Arabia Saudita</option>
<option>Senegal</option>
<option>Seychelles</option>
<option>Sierra Leona</option>
<option>Singapur</option>
<option>Slovakia</option>
<option>Slovenia</option>
<option>Islas Salomn</option>
<option>Somalia</option>
<option>Sur Africa</option>
<option>Sri Lanka</option>
<option>St. Kitts y Nevis</option>
<option>St. Lucia</option>
<option>St. Vincent & the Grenadines</option>
<option>Sudan</option>
<option>Surinam</option>
<option>Swaziland</option>
<option>Suecia</option>
<option>Repblica Arabe de Syrian</option>
<option>Tajikistan</option>
<option>Tailandia</option>
<option>Togo</option>
<option>Trinidad y Tobago</option>
<option>Tunes</option>
<option>Turquia</option>
<option>Turkmenistan</option>
<option>Uganda</option>
<option>Ukrania</option>
<option>Republica Unida de Tanzania</option>
<option>Reino Unido</option>
<option>Uruguay</option>
<option>Uzbekistan</option>
<option>Vanuatu</option>
<option>Venezuela</option>
<option>Viet Nam</option>
<option>Yemen</option>
<option>Yugoslavia</option>
<option>Zambia</option>
<option>Zimbabwe</option> </select>
<p>

-FIXME (arreglar en formularios): Ciudad en la que reside:

-FIXME (con esa redaccin no se entendi) En que versiones de este curso ha participado?:
<select multiple="1" name="anterior">
        <option>Primera</option>
	<option>Segunda</option>
</select>
<br>
-Correo electrnico de la persona que le envio el anuncio del curso, o
 medio por el cual se entero de las inscripciones:<br>
<input type="text" maxlength="50" size="80" name="difusor" value="<hb.cgi name='difusor'>"></input>
<br>
-Desea que le enviemos informacin sobre futuros eventos como este?:
<input type="checkbox" name="masinfo" value="si"></input>
<p>
Este curso tiene tres etapas virtuales (en Internet) y una etapa prctica que
se realizar en Septiembre 2002 en Bogot (Colombia) ---el horario se acordar
con quienes asistan a cada sesin.<p>
-Desea asistir a la etapa prctica? : 
<input type="checkbox" name="practico" value="si"></input>
<p>
Este curso est dirigido a colegios colombianos, esperamos
especialmente inscripciones de miembros de comunidades educativas de 
colegios que quieran y tengan la posiblidad de instalar Linux en su
institucin. Otras personas son bienvenidas, entendiendo que daremos
prioridad en inscripciones a miembros de colegios.
<p>
-Es usted miembro de la comunidad educativa de un colegio colombiano, en el 
cual usted tiene la oportunidad de instalar Linux?:
<input type="checkbox" name="encolegio" value="si"></input>
<br>

<h4>Su informacin privada</h4>


-Clave (max. 8 caracteres) que desea emplear en el servidor (por favor no la olvide, ni suministre claves que use en otros servicios o que sean importantes para usted, porque no podemos asegurar que se mantenga secreta): <input type="password" name="clave"></input><br>
Repita su clave: <input type="password" name="clave2"></input><br>
<p>

<center>
<input type="submit" value="Continuar">
</center>
</form>

:

:out clin3.formins-hiddenbasico
<input type="hidden" name="correo" value="<hb.cgi name='correo'>" ></input>
<input type="hidden" name="login" value="<hb.cgi name='login'>"></input>
<input type="hidden" name="apellidos" value="<hb.cgi name='apellidos'>" ></input>
<input type="hidden" name="nombres" value="<hb.cgi name='nombres'>" ></input>
<input type="hidden" name="pais" value="<hb.cgi name='pais'>"></input>
<input type="hidden" name="anterior" value="<hb.cgi name='anterior'>"></input>
<input type="hidden" name="difusor" value= "<hb.cgi name='difusor'>"></input>
<input type="hidden" name="practico" value="<hb.cgi name='practico'>"></input>
<input type="hidden" name="masinfo" value="<hb.cgi name='masinfo'>"></input>
<input type="hidden" name="encolegio" value="<hb.cgi name='encolegio'>"></input>
<input type="hidden" name="clave" value="<hb.cgi name='clave'>"></input>
:


:out clin3.formins2
<clin3.enc>

<hb.streql st1="<hb.cgi name='correo'>" st2=""
  eq="Falt su correo electrnico<clin3.formins-basico>"
  diff=<hb.streql st1="<hb.cgi name='login'>" st2=""
    eq="Falt su login<clin3.formins-basico>"
    diff=<hb.streql st1="<hb.cgi name='apellidos'>" st2=""
      eq="Faltaron sus apellidos<clin3.formins-basico>"
      diff=<hb.streql st1="<hb.cgi name='nombres'>" st2=""
        eq="Falto su nombre (o nombres)<clin3.formins-basico>"
        diff=<hb.streql st1="<hb.cgi name='difusor'>" st2=""
          eq="Faltaron datos del medio o persona por intermedio de quien se enter de este formulario<clin3.formins-basico>"
          diff=<hb.streql st1="<hb.cgi name='clave'>" st2=""
            eq="Falt clave<clin3.formins-basico>"
            diff=<hb.streql st1="<hb.cgi name='clave'>" st2="<hb.cgi name='clave2'>"
              diff="Ingres claves diferentes<clin3.formins-basico>"
	      eq=<hb.streql st1="<hb.cgi name='encolegio'>" st2="si" 
                eq="<clin3.formins-encolegio>"
    	        diff=<hb.streql st1="<hb.cgi name='practico'>" st2="si"
	  	  eq="<clin3.formins-certif>"
		  diff="<clin3.formins-fin>"
		>
              >
	    >
	  >
        >
      >
    >
  >
>

<clin3.pie>
:


:out clin3.formins-encolegio

<h4>Informacin pblica de su colegio</h4>

<form action="clin3.formins-fincolegio" method="get">
<clin3.formins-hiddenbasico>
Los siguientes datos sern pblicos y podran ser citados en el contexto
de este curso junto con su nombre como miembro de la comunidad educativa. 
<p>Dado que desea participar en la etapa prctica le solicitamos amablemente
suministrar informacin completa y cierta, eventualmente nos
comunicaremos con el colegio para verificarla, explicando 
que nos fue suministrada por usted para ingresar   al  '<clin3.titulo>'
mediante  el  cual   usted  desea  prepararse  mejor  para facilitar 
la instalacin o uso de Linux en ese colegio.  Si ingresa informacin
incompleta o falsa nos reservamos el derecho de no inscribirlo o de
retirarlo del curso una vez iniciado.
<p>
-Nmero ICFES del colegio colombiano al que est vinculado(a):<br>
<input type="text" size="80" name="NumIcfes" value="<hb.cgi name='NumIcfes'>" ></input><br>

-Nombre del colegio colombiano al que est vinculado(a):<br>
<input type="text" size="80" name="Colegio" value="<hb.cgi name='Colegio'>" ></input><br>

-Tipo  de  vinculacin con  el  colegio: 
<select name=vinculo>
<option>Estudiante</option>
<option>Padre de familia</option>
<option>Profesor(a)</option>
<option>Directivo(a)</option>
<option>Administrador(a) de redes</option>
<option>Asesor(a) en tecnologa</option>
<option>Otro</option>
</select>
<br>
-Pgina web del colegio:<br>
<input type="text" size="80" name="Homepage" value="<hb.cgi name='Homepage'>" ></input><br>

-Correo electrnico del colegio:<br>
<input type="text" size="80" name="CorreoColegio" value="<hb.cgi name='CorreoColegio'>" ></input><br>

-Direccin postal del colegio (incluya ciudad):<br>
<input type="text" size="80" name="DirColegio" value="<hb.cgi name='DirColegio'>" ></input><br>

-Telfono del colegio:<br>
<input type="text" size="80" name="TelColegio" value="<hb.cgi name='TelColegio'>" ></input><br>

-Persona y cargo de alguien que debamos contactar en el colegio para
confirmar  sus datos:<br>
<input type="text" size="80" name="PerColegio" value="<hb.cgi name='PerColegio'>" ></input><br>

-El colegio emplea Linux en algn computador?
<input type="checkbox" name="usalinux" value="si"></input>

<center>
<input type="submit" value="Continuar">
</center>
</form>
:

:out clin3.formins-certif

<form action="clin3.formins-fincertif" method="get">
<clin3.formins-hiddenbasico>

<p>
<h4>Datos de caracter privado</h4>

Como desea participar en la etapa prctica de este curso, y esta se
realizara en instituciones educativas colombianas a las cuales usted
podra ingresar, le solicitamos gentilmente los siguientes datos de 
caracter privado, que entregrariamos solamente a las instituciones
educativas a las cuales usted vaya a ingresar durante la etapa prctica
(claro est si usted resulta elegido democrticamente por el resto de
participantes del curso).
<p>
Los organizadores de este evento, de forma reciproca hemos publicado 
<a href="http://ar.groups.yahoo.com/group/rol-curso-col/files/Organizadores/">informacin nuestra</a>.
<p>
Si prefiere no llenar la informacin de este formulario vuelva a la pgina
anterior y eliga no participar en la etapa prctica ---en ese caso podr
participar slo en las etapas virtuales.

<h4>Sus datos</h4>

<p>
-Nombre de institucin donde trabaja o estudia (si en el momento no trabaja ni estudia escriba "residencia" y en los siguientes campo escriba datos de su residencia):<br>
<input type="text" size="80" name="NomTrabajo" value="<hb.cgi name='NomTrabajo'>" ></input><br>
-Direccin de institucin donde trabaja o estudia:<br>
<input type="text" size="80" name="DirTrabajo" value="<hb.cgi name='DirTrabajo'>" ></input><br>
-Telfono de institucin donde trabaja o estudia:<br>
<input type="text" size="80" name="TelTrabajo" value="<hb.cgi name='TelTrabajo'>" ></input><br>

<h4>Datos de un certificador</h4>

<p>Le solicitamos  humilde y amablemente, suministrarnos datos de una 
entidad (por ejemplo su sitio de trabajo o estudio), o  en su  defecto  
de una persona (por ejemplo un familiar) que puedan  certificar la 
veracidad de la informacin  que ha consignado.

Los datos del certificador  son de caracter  privado  y eventualmente
los   emplearemos  para contactarlo y confirmar  su
informacin explicando que nos fue suministrada por usted para
ingresar   al  "Tercer   curso  gratuito   de  Linux   en  colegios
Colombianos"  mediante  el  cual   usted  desea  prepararse  mejor  para
instalar, usar y administrar Linux o redes Linux.

<p>-Entidad certificadora:<br>
<input type="text" size="80" name="EntCert" value="<hb.cgi name='EntCert'>" ></input><br>
-Direccin postal de la entidad:<br>
<input type="text" size="80" name="EntDir" value="<hb.cgi name='EntDir'>" ></input><br>
-Cargo que usted tiene en la entidad:<br>
<input type="text" size="80" name="EntRel" value="<hb.cgi name='EntRel'>" ></input><br>
-Nombre de una persona certificadora y cargo de la misma en la entidad:<br>
<input type="text" size="80" name="EntPer" value="<hb.cgi name='EntPer'>" ></input><br>
-Su relacin con la persona certificadora:<br>
<input type="text" size="80" name="EntPerRel" value="<hb.cgi name='EntPerRel'>" ></input><br>
-Telfono para contactar a la persona certificadora:<br>
<input type="text" size="80" name="EntPerTel" value="<hb.cgi name='EntPerTel'>" ></input><br>
-Correo electrnico de la persona certificadora:<br>
<input type="text" size="80" name="EntPerEmail" value="<hb.cgi name='EntPerEmail'>" ></input><br>
</ol>

<center>
<input type="submit" value="Continuar">
</center>
<form>
:


# Usada cuando alguin que no es de un colegio se inscribe solo al taller 
# virtual
:out clin3.formins-fin
Gracias por completar la informacin.  Si resulta elegido, lo suscribiremos a 
la lista del curso y le informaremos.  Tenga en cuenta que los cupos son 
limitados (150) y que daremos prioridad a colegios colombianos.

<+hb.sendmail _=clin3.cuerpomailins>
<wall.new src="clin3-ins.wall" id="clin3">

<wall.new name="correo" value="<hb.cgi name='correo'>" >
<wall.new name="login" value="<hb.cgi name='login'>">
<wall.new name="apellidos" value="<hb.cgi name='apellidos'>" >
<wall.new name="nombres" value="<hb.cgi name='nombres'>" >
<wall.new name="pais" value="<hb.cgi name='pais'>">
<wall.new name="anterior" value="<hb.cgi name='anterior'>">
<wall.new name="difusor" value= "<hb.cgi name='difusor'>">
<wall.new name="practico" value="<hb.cgi name='practico'>">
<wall.new name="clave" value="<hb.cgi name='clave'>">
<wall.new name="encolegio" value="<hb.cgi name='encolegio'>">
<wall.new name="masinfo" value="<hb.cgi name='masinfo'>">
:


:out clin3.formins-hiddencol
<input type="hidden" name="NumIcfes" value="<hb.cgi name='NumIcfes'>" >
<input type="hidden" name="Colegio" value="<hb.cgi name='Colegio'>" >
<input type="hidden" name="vinculo" value="<hb.cgi name='vinculo'>" >
<input type="hidden" name="Homepage" value="<hb.cgi name='Homepage'>" >
<input type="hidden" name="CorreoColegio" value="<hb.cgi name='CorreoColegio'>" >
<input type="hidden" name="DirColegio" value="<hb.cgi name='DirColegio'>" >
<input type="hidden" name="TelColegio" value="<hb.cgi name='TelColegio'>" >
<input type="hidden" name="PerColegio" value="<hb.cgi name='PerColegio'>" >
<input type="hidden" name="usalinux" value="<hb.cgi name='usalinux'>" >
:


:out clin3.formins-salvacol
<wall.new name="NumIcfes" value="<hb.cgi name='NumIcfes'>" >
<wall.new name="Colegio" value="<hb.cgi name='Colegio'>" >
<wall.new name="vinculo" value="<hb.cgi name='vinculo'>" >
<wall.new name="Homepage" value="<hb.cgi name='Homepage'>" >
<wall.new name="CorreoColegio" value="<hb.cgi name='CorreoColegio'>" >
<wall.new name="DirColegio" value="<hb.cgi name='DirColegio'>" >
<wall.new name="TelColegio" value="<hb.cgi name='TelColegio'>" >
<wall.new name="PerColegio" value="<hb.cgi name='PerColegio'>" >
<wall.new name="usalinux" value="<hb.cgi name='usalinux'>" >
:


:out clin3.formins-fincolegio
<clin3.enc>

<hb.streql st1="<hb.cgi name='NumIcfes'>" st2=""
  eq="Falt nmero ICFES<clin3.formins-encolegio>"
  diff=<hb.streql st1="<hb.cgi name='Colegio'>" st2=""
    eq="Falt nombre del colegio<clin3.formins-encolegio>"
    diff=<hb.streql st1="<hb.cgi name='DirColegio'>" st2=""
      eq="Falt direccin del colegio<clin3.formins-encolegio>"
      diff=<hb.streql st1="<hb.cgi name='TelColegio'>" st2=""
        eq="Falt telfono del colegio<clin3.formins-encolegio>"
        diff=<hb.streql st1="<hb.cgi name='PerColegio'>" st2=""
          eq="Falt nombre de persona del colegio que confirme sus datos<clin3.formins-encolegio>"
          diff=<hb.streql st1="<hb.cgi name='usalinux'>" st2="si" 
            eq="<clin3.formins-datosslec>" 
            diff="<clin3.formins-fin><clin3.formins-salvacol>"
          >
        >
      >
    >
  >
>

<clin3.pie>
:


:out clin3.formins-datosslec
<form action="clin3.formins-finslec" method="get">
<clin3.formins-hiddenbasico>
<clin3.formins-hiddencol>

<h4>Informacin de su colegio para estadsticas de SLEC</h4>

En SLEC recolectamos estadsticas de instituciones educativas que usan software de libre redistribucin.
Nuestros archivos de <a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/slec.instituciones?">instituciones educativas</a> y el <a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/slec.software_librered?">software de libre redistribucin</a> que usan lo mantenemos pblico.

Los siguientes datos nos permitiran agregar los datos de su institucin a 
nuestro archivo.  No es indispensable que los complete, pero sera un
buen gesto con los voluntarios de SLEC que hacen posible este curso.

<p>Porcentaje de computadores para estudiantes con Linux:<input type=text name=pestudiantes size=3 value="">
<p>Porcentaje de computadores para profesores con Linux:<input type=text name=pprofesores size=3 value="">
<p>Porcentaje de computadores para personal administrativo con Linux:<input type=text name=padmin size=3 value="">

<p>Descripcin de experiencia con Linux (e.g un URL): <input type=text name=url_experience size=50 value="">
<p>Programas de libre redistribucin empleados: 
<br><textarea name=programas rows=10 cols=50 wrap=virtual></textarea>
<p>Descripci&oacute;n del curr&iacute;culo con software de libre redistribuci&oacute;n:
<br><textarea name=curriculum rows=10 cols=50 wrap=virtual></textarea>

<center>
<input type="submit" value="Inscribir">
</center>
<form>

:


:out clin3.formins-finslec
<clin3.enc>
  <clin3.formins-fin>
  <clin3.formins-salvacol>

<wall.new name="pestudiantes" value="<hb.cgi name='pestudiantes'>">
<wall.new name="pprofesores" value="<hb.cgi name='pprofesores'>">
<wall.new name="padmin" value="<hb.cgi name='padmin'>">
<wall.new name="url_experience" value="<hb.cgi name='url_experience'>">
<wall.new name="curriculum" value="<hb.cgi name='curriculum'>">
<wall.new name="programas" value="<hb.cgi name='programas'>">


<clin3.pie>
:


# Agregar a continuacion: NomTrabajo, DirTrabajo, TelTrabajo

:out clin3.formins-fincertif
<clin3.enc>

<hb.streql st1="<hb.cgi name='EntCert'>" st2=""
  eq="Falt entidad certificadora<clin3.formins-certif>"
  diff=<hb.streql st1="<hb.cgi name='EntDir'>" st2=""
    eq="Falt direccin de entidad certificadora<clin3.formins-certif>"
    diff=<hb.streql st1="<hb.cgi name='EntRel'>" st2=""
      eq="Falt su cargo en la entidad certificadora<clin3.formins-certif>"
      diff=<hb.streql st1="<hb.cgi name='EntPer'>" st2=""
        eq="Falt persona a quien contactar en entidad certificadora<clin3.formins-certif>"
        diff=<hb.streql st1="<hb.cgi name='EntPerRel'>" st2=""
          eq="Falt su relacin con la persona certificadora<clin3.formins-certif>"
          diff=<hb.streql st1="<hb.cgi name='NomTrabajo'>" st2=""
            eq="Falt nombre de su sitio de trabajo o estudio<clin3.formins-certif>"
            diff=<hb.streql st1="<hb.cgi name='DirTrabajo'>" st2=""
              eq="Falt direccin de su sitio de trabajo o estudio<clin3.formins-certif>"
              diff=<hb.streql st1="<hb.cgi name='TelTrabajo'>" st2=""
                eq="Falt telfono de su sitio de trabajo o estudio<clin3.formins-certif>"
                diff=<hb.streql st1="<hb.cgi name='EntPerTel'>" st2=""
                  eq="Falt telfono de la persona certificadora<clin3.formins-certif>"
                  diff=<clin3.formins-fincertif-correcto>
                >
              >
            >
          >
        >
      >
    >
  >
>

<clin3.pie>
:


:out clin3.formins-fincertif-correcto
<clin3.formins-fin>
<wall.new  name="NomTrabajo" value="<hb.cgi name='NomTrabajo'>" >
<wall.new  name="DirTrabajo" value="<hb.cgi name='DirTrabajo'>" >
<wall.new  name="TelTrabajo" value="<hb.cgi name='TelTrabajo'>" >
<wall.new  name="EntCert" value="<hb.cgi name='EntCert'>" >
<wall.new  name="EntDir" value="<hb.cgi name='EntDir'>" >
<wall.new  name="EntRel" value="<hb.cgi name='EntRel'>" >
<wall.new  name="EntPer" value="<hb.cgi name='EntPer'>" >
<wall.new  name="EntPerRel" value="<hb.cgi name='EntPerRel'>" >
<wall.new  name="EntPerTel" value="<hb.cgi name='EntPerTel'>" >
<wall.new  name="EntPerEmail" value="<hb.cgi name='EntPerEmail'>" >
:


:out clin3.cuerpomailins
From: <hb.input name='nombre'>
To: vtamara@informatik.uni-kl.de 
Subject: Inscripcin curso gratuito

Correo: <hb.cgi name="correo" >
Login: <hb.cgi name="login" >
Apellidos: <hb.cgi name="apellidos" >
Nombres: <hb.cgi name="nombres" >
Pas: <hb.cgi name="pais" >
Anterior: <hb.cgi name="anterior" >
Difusor:  <hb.cgi name="difusor" >
Prctico: <hb.cgi name="practico" >
Clave: <hb.cgi name="clave" >
EnColegio: <hb.cgi name="encolegio" >
MasInfo: <hb.cgi name="masinfo" >

NumIcfes: <hb.cgi name="NumIcfes">
Colegio: <hb.cgi name="Colegio">
Vinculo: <hb.cgi name="vinculo">
Homepage: <hb.cgi name="Homepage">
Correo colegio: <hb.cgi name="CorreoColegio">
Direccin colegio: <hb.cgi name="DirColegio">
Telfono colegio: <hb.cgi name="TelColegio">
Persona en Colegio: <hb.cgi name="PerColegio">
Usa Linux: <hb.cgi name="usalinux">

% Estudiantes: <hb.cgi name="pestudiantes">
% Profesores: <hb.cgi name="pprofesores">
% Administrativo: <hb.cgi name="padmin">
Experiencia: <hb.cgi name="url_experience">
Curriculum: <hb.cgi name="curriculum">
Programas: <hb.cgi name="programas">

Trabajo: <hb.cgi  name="NomTrabajo">
Direccin trabajo: <hb.cgi name='DirTrabajo'>
Telfono trabajo: <hb.cgi name='TelTrabajo'>
Entidad certificadora: <hb.cgi  name="EntCert">
Direccin entidad: <hb.cgi  name="EntDir">
Relacin con entidad: <hb.cgi  name="EntRel">
Persona en entidad: <hb.cgi  name="EntPer">
Relacin con persona: <hb.cgi  name="EntPerRel">
Telfono persona: <hb.cgi  name="EntPerTel">
Correo persona: <hb.cgi  name="EntPerEmail">

:

:out clin3.anuncio
<clin3.enc>
<!-- Vladimir dedica este curso a Dios y le pide humildad, amor,
     respeto, fe y fuerza para todos (en particular para los que participen),
     para ver y hacer lo correcto an cuando cueste ms esfuerzo -->

<h3>Invitacin al "<clin3.titulo>"</h3>
<p>
Para promover la colaboracin desinteresada y dar mejores recursos a 
colegios colombianos, varias personas y organizaciones con experiencia en 
Linux y educacin ofrecemos este tercer curso, que se realizar en 4 etapas 
y concluir con la instalacin, tambin gratuita, de una red Linux Debian 
en uno de los colegios que participen.
<p>
Linux es un sistema operativo de libre redistribucin (es decir que no 
exige el pago de licencias y puede ser copiado y redistribuido sin costo) 
y de fuentes abiertas (es decir que su cdigo fuente est disponible y 
puede ser modificado o usado para aprender por quien lo desee, sin costo). 
Es usado cada vez por ms empresas y colegios en Colombia y en el mundo 
junto con otras herramientas de libre redistribucin para facilitar todo 
tipo de labores (incluyendo procesamiento de texto, apoyo a aprendizaje, 
trabajo en grupo, interconexin de redes, conexin y prestacin de 
servicios en Internet, ver casos en los enlaces al final de este escrito).
<p>
Para facilitar el sostenimiento de una instalacin de Linux, o la transicin 
de otros sistemas operativos y para adquirir habilidades que permitan 
usarlo productivamente, este curso se desarrollar entre Abril y Septiembre 
de 2002 en 3 etapas por Internet y una presencial: (1) taller preparatorio 
para conocer recursos que se usan en las otras etapas y escoger nivel inicial, 
(2) Linux bsico que concluye con la instalacin de Linux en el computador 
del participante, (3) Administracin de su servidor Linux  conectado a 
Internet, (4) Instalacin de una red Linux en el colegio participante 
elegido por votacin.  
<p>
Lo invitamos a inscribirse y a retransmitir esta informacin hasta el 19 
de Abril de 2002 especialmente en colegios colombianos (pueden inscribirse 
tantos representates de cada colegio como lo deseen).  El lmite de 
cupos es 150, que sern asignados entre quienes se inscriban, dando prioridad
a colegios colombianos.
<ul>
<li> Formulario de inscripcin:<br>
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3.formins">http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3.formins</a>
<li> Plan detallado:<br>
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3.plan">http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/clin3.plan</a>
<li> Reporte del curso anterior (que cont con 98 participantes, con representates de 23 colegios de todo el pas)<br>
<a href="http://www.tamarapatino.com/servicios/cursogratuito/2/repfin.shtml">http://www.tamarapatino.com/servicios/cursogratuito/2/anuncio.shtml</a>
<li> Listado de algunas instituciones educativas colombianas que usan Linux:<br>
<a href="http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/slec.instituciones_all">http://ingenieria.sanmartin.edu.co/cgi-bin/slec/slec.cgi/slec.instituciones_all</a>
<li> Artculo "Linux llega a los colegios" publicado en la revista Enter:<br>
<a href="http://www.tamarapatino.com/gfc/proyectos/sistemas/enter2001.html">http://www.tamarapatino.com/gfc/proyectos/sistemas/enter2001.html</a>
</ul>

<p>
Cordialmente: 
<blockquote>
	Los organizadores de este evento.<br>
	<a href="http://ar.groups.yahoo.com/group/rol-curso-col/files/Organizadores/">http://ar.groups.yahoo.com/group/rol-curso-col/files/Organizadores/</a>
</blockquote>

<clin3.pie>
:
