% Clase periodo
% Definiciones para imprimir registros valorativos de un periodo.
% Dominio pblico. 2006. Sin garantas. http://structio.sourceforge.net/sigue

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ob-p}

\LoadClass{ob-r}

\chead{{\large{R.R. OBLATAS AL DIVINO AMOR}} \\
Registro Valorativo Individual de un periodo \\
Estudiante : \@estudiante\\
\hfill Grado : \@grado \hfill Perodo : \@periodo \hfill Fecha  :
\@fecha \hfill Pgina \thepage \hfill\\
}

\newcommand{\asignatura}[3]{
\\
\hline
\hskip1cm \textbf{#1} (I:#2 F:#3)  
\\
\hline
}

\newcommand{\evaluable}[1]{
\\
\hline
\hskip1cm \textbf{#1} 
\\
\hline
}

\endinput



