#!/usr/bin/awk -f 
# Extrae datos de profesores de un archivo /etc/passwd que siga convenciones
# y con ellos crea directorios de aos y logins as como archivos datos.ind
# Dominio pblico. 2003. Sin garantas.


// { 
	if ($4==gid) {
		if (match($5,/^.* - .* - .* - .*,/)>0) {
			match($5,/^[^-]* - /);
			nom=substr($5,RSTART,RLENGTH-3);
			rs2=RSTART+RLENGTH;
			match($5,/^[^-]* - [^-]* - /);
			ape=substr($5,rs2,RLENGTH-rs2-2);
			rs3=RSTART+RLENGTH;
			match($5,/^[^-]* - [^-]* - [^-]* - /);
			grado="g" substr($5,rs3,RLENGTH-rs3-2);
			rs4=RSTART+RLENGTH;
			match($5,/^[^-]* - [^-]* - [^-]* - [^-]*,/);
			fec=substr($5,rs4,RLENGTH-rs4-2);
			if (match(fec,/^[0-9]*\/[0-9]*\//)>0) {
				anio=substr(fec,RLENGTH+1,length(fec)-RLENGTH);
				system("mkdir -p profesor/" anio);
				system("mkdir -p profesor/" anio "/" $1);
				d="profesor/" anio "/" $1 "/datos.ind";
				print "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>" > d ;
				print "<!DOCTYPE individuo SYSTEM \"individuo.dtd\">" >> d;
				print "<individuo mindatos=\"Apellidos;Nombres;FechaNacimiento\">" >> d;
				print "  <dato tipo=\"Apellidos\">" ape "</dato>" >> d;
  				print "  <dato tipo=\"Nombres\">" nom "</dato>" >> d;
				print "  <dato tipo=\"FechaNacimiento\">" fec "</dato>" >> d;
				print "  <dato tipo=\"login\">" $1 "</dato>" >> d;
				print "</individuo>" >> d;
			}
			else {
				anio="a-errado";
				print "Formato de fecha errado para " $1 ": " fec;
			}
		}
		else {
			print "Formato de " $1 " errado";
		}
	}
}


BEGIN { 
	FS=":"
	gid=ENVIRON["GID"];
	if (gid == "") {
		print "Falta variable de ambiente GID con identificacin de grupo";
		exit 1;
	}
}

END {
}
